Page MenuHomePhabricator

Update Wiktionary definition parsing to account for new (possibly nested) section tags
Closed, ResolvedPublic

Description

The current Wiktionary definition parsing algorithm assumes that sections are divided by <div> elements and not nested <section> elements.

Event Timeline

bearND created this task.Oct 20 2017, 6:01 PM
bearND claimed this task.Oct 25 2017, 12:03 AM
bearND moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

Change 386334 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Hygiene: rename parseDefinitions to parseDefinitionsUsingDivs

https://gerrit.wikimedia.org/r/386334

Change 386335 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Hygiene: split up definitions parsing into two implementations

https://gerrit.wikimedia.org/r/386335

Change 386336 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Next gen definitions parsing, using section tags

https://gerrit.wikimedia.org/r/386336

Change 386334 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Hygiene: rename parseDefinitions to parseDefinitionsUsingDivs

https://gerrit.wikimedia.org/r/386334

Change 386335 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Hygiene: split up definitions parsing into two implementations

https://gerrit.wikimedia.org/r/386335

Change 386336 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Next gen definitions parsing, using section tags

https://gerrit.wikimedia.org/r/386336

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-11-08T21:37:28Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@00e60b2]: Update mobileapps to 8e82983 (T178706 T178708 T178333 T170692)

Mentioned in SAL (#wikimedia-operations) [2017-11-08T21:44:40Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@00e60b2]: Update mobileapps to 8e82983 (T178706 T178708 T178333 T170692) (duration: 07m 12s)

bearND closed this task as Resolved.Nov 9 2017, 3:16 AM